Subject: bug#14609: closed (24.3; syntex mis-highlightinh in python)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 02 Sep 2013 14:32:03 +0000

Your bug report

#14609: 24.3; syntex mis-highlightinh in python

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
14609: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=14609
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: 24.3; syntex mis-highlightinh in python
From: [email-masked]
To: [email-masked]
Date: Mon, 02 Sep 2013 11:31:36 -0300
List-Id: <debbugs-submit.debbugs.gnu.org>

This must be fixed in revno 114016.

Regards,
Fabián.

Subject: 24.3; syntex mis-highlightinh in python
From: Zhijia Yuan <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 13 Jun 2013 14:10:01 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

the varible on the left hand side of assignment is not highlighted

consistently in the buffer. Tested with emacs -Q and the problem still

exists. The problem is also detailed in stackoverflow with a screenshot.

Please follow the link: http://bit.ly/1a7BAcN

In GNU Emacs 24.3.1 (i386-mingw-nt6.1.7600)

of 2013-03-17 on MARVIN

Windowing system distributor `Microsoft Corp.', version 6.1.7600

Configured using:

`configure --with-gcc (4.7) --cflags

-ID:/devel/emacs/libs/libXpm-3.5.8/include

-ID:/devel/emacs/libs/libXpm-3.5.8/src

-ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include

-ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include

-ID:/devel/emacs/libs/giflib-4.1.4-1/include

-ID:/devel/emacs/libs/jpeg-6b-4/include

-ID:/devel/emacs/libs/tiff-3.8.2-1/include

-ID:/devel/emacs/libs/gnutls-3.0.9/include

-ID:/devel/emacs/libs/libiconv-1.13.1-1-dev/include

-ID:/devel/emacs/libs/libxml2-2.7.8/include/libxml2'

Important settings:

  value of $LANG: ENU

  locale-coding-system: cp936

  default enable-multibyte-characters: t

Major mode: Python

Features:

(shadow sort mail-extr tmm electric emacsbug message rfc822 mml mml-sec

mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev gmm-utils

mailheader sendmail rfc2047 rfc2045 ietf-drums mail-utils cua-rect

semantic/tag-write semantic/edit ede/dired misearch multi-isearch

network-stream starttls tls debug org-indent eldoc org-rmail org-mhe

org-irc org-info org-gnus org-docview org-bibtex bibtex org-bbdb org-w3m

hi-lock semantic/tag-file semantic/db-file data-debug cedet-files

semantic/wisent/python semantic/decorate/include semantic/db-find

semantic/db-ref semantic/decorate/mode semantic/decorate pulse

semantic/dep semantic/wisent/python-wy semantic/wisent

semantic/wisent/wisent hideshow cdlatex texmathp reftex reftex-vars

tex-mik preview-latex tex-site auto-loads ein ein-loaddefs

python-el-fgallina-expansions python rx jedi epc ctable concurrent

deferred auto-complete-config auto-complete popup yasnippet flycheck s

desktop ack-and-a-half ob-latex ob-python org-mode-expansions org

org-macro org-footnote org-pcomplete org-list org-faces org-entities

noutline outline org-version ob-emacs-lisp ob ob-tangle org-src ob-ref

ob-lob ob-table ob-keys ob-exp ob-comint ob-core ob-eval org-compat

org-macs org-loaddefs find-func cal-menu calendar cal-loaddefs

org2blog-autoloads expand-region text-mode-expansions

er-basic-expansions expand-region-custom expand-region-core hideshowvis

multiple-cursors mc-separate-operations rectangular-region-mode

mc-mark-more mc-cycle-cursors mc-edit-lines multiple-cursors-core rect

ace-jump-mode jump-char highlight-symbol idle-highlight-mode winner

undo-tree diff delsel cua-base ede/cpp-root ede/emacs ede/speedbar

ede/files ede ede/base ede/auto ede/source eieio-speedbar speedbar

sb-image dframe eieio-custom wid-edit semantic/db-mode semantic/db

eieio-base semantic/idle semantic/format ezimage semantic/tag-ls

semantic/find semantic/ctxt semantic/util-modes semantic/util semantic

semantic/tag semantic/lex semantic/fw mode-local cedet

rainbow-delimiters paren smartparens-config smartparens dash

helm-descbinds helm-mode helm-files image-dired tramp tramp-compat

tramp-loaddefs shell pcomplete format-spec dired-x dired-aux ffap

thingatpt helm-buffers helm-elscreen helm-tags helm-bookmark

helm-adaptative helm-info helm-net browse-url xml url url-proxy

url-privacy url-expand url-methods url-history url-cookie url-domsuf

url-util url-parse auth-source eieio gnus-util mm-util mail-prsvr

password-cache url-vars mailcap helm-plugin bookmark helm-locate

helm-help helm-match-plugin easy-mmode helm-grep derived helm-regexp

grep helm-external helm-utils byte-opt warnings compile comint

ansi-color ring helm helm-config helm-aliases linum unicad

naquadah-theme el-get cl-macs gv el-get-autoloads el-get-list-packages

el-get-notify help-mode el-get-dependencies el-get-build el-get-status

pp el-get-recipes el-get-byte-compile el-get-methods el-get-fossil

el-get-svn el-get-pacman el-get-github-zip el-get-github-tar

el-get-http-zip el-get-http-tar el-get-hg el-get-git-svn el-get-fink

el-get-emacswiki el-get-http el-get-emacsmirror el-get-github el-get-git

el-get-elpa el-get-darcs el-get-cvs el-get-bzr el-get-brew

el-get-builtin el-get-apt-get el-get-custom el-get-core autoload

bytecomp byte-compile cconv cl dired filecache org-autoloads info

easymenu package ido cus-start cus-load advice help-fns cl-lib

advice-preload edmacro kmacro server time-date tooltip ediff-hook

vc-hooks lisp-float-type mwheel dos-w32 ls-lisp w32-common-fns

disp-table w32-win w32-vars tool-bar dnd fontset image regexp-opt fringe

tabulated-list newcomment lisp-mode register page menu-bar rfn-eshadow

timer select scroll-bar mouse jit-lock font-lock syntax facemenu

font-core frame cham georgian utf-8-lang misc-lang vietnamese tibetan

thai tai-viet lao korean japanese hebrew greek romanian slovak czech

european ethiopic indian cyrillic chinese case-table epa-hook

jka-cmpr-hook help simple abbrev minibuffer loaddefs button faces

cus-face macroexp files text-properties overlay sha1 md5 base64 format

env code-pages mule custom widget hashtable-print-readable backquote

make-network-process w32 multi-tty emacs)

Confidentiality Notice:  This message (including attachments) is a private communication solely for use of the intended recipient(s).  
If you are not the intended recipient(s) or believe you received this message in error, notify the sender immediately and then delete this 
message.  Any other use, retention, dissemination or copying is prohibited and may be a violation of law, including the Electronic 
Communication Privacy Act of 1986."